Zur Navigation

Installations php aufrufen

1 bernd

Hallo,

ich habe das komplette Paket entpackt (JKBB 2.0.1) und auf den Server geladen (1&1) aber ich kann die install.php nicht aufrufen, der Browser sagt, das ist ein ungültiger Link. Was mache ich falsch?

Grüsse, bernd

28.03.2011 20:19

2 Jörg

In welchem Browser erhältst du diese Fehlermeldung? ist das bei anderen Browsern auch der Fall? und wie schaut die vollständige URL aus (den Domainnamen kannst du durch "example.com" ersetzen). Gegebenfalls kannst du mir die URL auch über Email mitteilen (siehe Impressum), dass ich mir das "live" anschauen kann

28.03.2011 20:42

3 bernd

Hallo Jörg, danke für die rasche Antwort. Ich habe den fehler inzwischen gefunden. Ich verweise auf das Verzeichnis bei 1&1 von einer Domain die ich bei einem anderen Hoster registriert habe, das "Durchschleifen" funktioniert dann offensichtlich nicht. Spreche ich das Verzeichnis direkt an, geht es, aber inzwischen habe ich ein anderes Problem. Die php Version bei 1&1 ist 5.0, die Meldung sagt mir (wenn ich install.php aufrufe) dass mindestens php Vers. 5.1 benötigt wird. Damit kann ich wohl leider die Forumsoftware nicht installieren, schade (oder geht eine ältere Version?).

Grüsse, Bernd

29.03.2011 08:31

4 Jörg

Die php Version bei 1&1 ist 5.0

Ich habe bei einem 1&1 Paket PHP 5.2.17 zur Verfügung? die Version 5.0 wird von PHP schon seit einiger Zeit nicht mehr mit Updates versorgt, ist von daher aus meiner Sicht auch nicht mehr empfehlenswert

(oder geht eine ältere Version?)

Die Foren-Version 1.2 funktioniert auch noch mit PHP 4.3:

http://download.joergkrusesweb.de/joergs-forum/archive/joergs-forum-1.2.1.tar.gz

Ich würde allerdings empfehlen, PHP auf eine neuere Version updaten zu lassen, falls möglich.

29.03.2011 09:21 | geändert: 29.03.2011 09:24

5 bernd

O.K., ich schreibe mal 1&1 an, die sollten ja allen Kunden die gleiche Version zur Verfügung stellen...Danke für den Hinweis!

Grüsse, Bernd

29.03.2011 09:29

6 bernd

Hallo Jörg,

1&1 hat folgendes geantwortet:

Für die Dateiendung ".php" ist PHP4 voreingestellt. Skripte, welche durch den PHP5-Parser analysiert werden sollen, müssen die Endung ".php5" tragen (für PHP6 die Endung ".php6").

Wenn Sie die Endung ".php" für eine andere PHP-Version nutzen möchten, können Sie eine Datei namens ".htaccess" (ohne Anführungszeichen) in dasselbe Verzeichnis ablegen, in dem sich auch die betroffenen Skripte befinden:

Für PHP5:
http://hilfe-center.1und1.de/hosting/644477

Für PHP6:
http://hilfe-center.1und1.de/hosting/746541
Unsere aktuelle PHP-Konfiguration können Sie hier einsehen:
http://hilfe-center.1und1.de/hosting/600512

Diese in der ".htaccess" enthaltenen Informationen vererben sich in die Unterverzeichnisse.

Weitere umfangreiche Hilfestellungen zu diesem Thema halten wir in unserem Hilfecenter für Sie bereit:
http://hilfe-center.1und1.de/hosting/c39108

Ich habe eine entsprechende htaccess Datei (habe beides ausprobiertm für php 5 und 6) in das Verzeichnis eingefügt, aber jetzt kommt nur noch eine weisse Browserseite wenn ich die install.php aufrufe..www.nemo.aquaculturebase.de/forum/install.php.

Was ist nun wieder falsch?

Grüsse, Bernd

29.03.2011 16:57

7 Jörg

Ich habe eine entsprechende htaccess Datei (habe beides ausprobiertm für php 5 und 6) in das Verzeichnis eingefügt

In welches Verzeichnis - das Hauptverzeichnis oder das Unterverzeichnis /forum? im letzteren befindet sich ja schon die htaccess Datei des Forums, die dieses auch zwingend benötigt - dort sollte der genannte Code oberhalb des vorhandenen Codes eingefügt werden.

PHP 6 würde ich dabei noch nicht verwenden, da es sich noch um eine Entwicklerversion handelt

Bei 1und1 könnte es zudem notwendig sein, die RewriteBase der Foren-htaccess anzupassen, d.h. diese Codezeile:

# RewriteBase /

... in deinem Fall folgendermaßen abzuändern:

RewriteBase /forum/

29.03.2011 18:02

8 bernd

Der Tip mit der Raute und dem pfad /forum wars...:-) Jetzt konnte ich das Forum einrichten und alles funktioniert wunderbar...genial! Auch die Anpassung über das Stylesheet ist klasse, dadurch kann ich das Forum an meine Site anpassen. Nicht mehr und nicht weniger Forum habe ich gebraucht!

Ich schicke mal demn Link wenn alles fertig ist..

Danke und Grüsse,
Bernd

29.03.2011 21:09

Nur Mitglieder können in diesem Forum Antworten schreiben.

Login | Registrieren